Rename Conversation
Available for: Chatflow, Chatbot, Agent apps.
Rename a conversation or auto-generate a name. The conversation name is used for display on clients that support multiple conversations.
curl --request POST \
--url https://{api_base_url}/conversations/{conversation_id}/name \
--header 'Authorization: Bearer <token>' \
--header 'Content-Type: application/json' \
--data '
{
"name": "iPhone Specs Chat",
"user": "abc-123"
}
'import requests
url = "https://{api_base_url}/conversations/{conversation_id}/name"
payload = {
"name": "iPhone Specs Chat",
"user": "abc-123"
}
headers = {
"Authorization": "Bearer <token>",
"Content-Type": "application/json"
}
response = requests.post(url, json=payload, headers=headers)
print(response.text)const options = {
method: 'POST',
headers: {Authorization: 'Bearer <token>', 'Content-Type': 'application/json'},
body: JSON.stringify({name: 'iPhone Specs Chat', user: 'abc-123'})
};
fetch('https://{api_base_url}/conversations/{conversation_id}/name', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"id": "45701982-8118-4bc5-8e9b-64562b4555f2",
"name": "iPhone Specs Chat",
"inputs": {
"city": "San Francisco"
},
"status": "normal",
"introduction": "Welcome! How can I help you today?",
"created_at": 1705407629,
"updated_at": 1705411229
}{
"status": 400,
"code": "not_chat_app",
"message": "Please check if your app mode matches the right API route."
}{
"status": 404,
"code": "not_found",
"message": "Conversation Not Exists."
}Authorizations
API Key authentication. For all API requests, include your API Key in the Authorization HTTP Header, prefixed with Bearer. Example: Authorization: Bearer {API_KEY}. Strongly recommend storing your API Key on the server-side, not shared or stored on the client-side, to avoid possible API-Key leakage that can lead to serious consequences. Requests with a missing or invalid API key fail with HTTP 401 and error code unauthorized.
Path Parameters
Conversation ID.
Body
Response
Conversation renamed successfully.
Conversation ID.
Conversation name.
Input variables for the conversation.
Conversation status. normal for active conversations.
Conversation introduction.
Creation timestamp.
Last update timestamp.
Was this page helpful?
